Old 24th January 2008, 16:06   #1
mksoft_
Junior Member
 
Join Date: Jan 2008
Posts: 7
"the sofware may have not installed correctly" ?

Hello

On vista, the NSIS installer of my software warns the users with a message (see attached picture)
(it's in french but i think it says something like "the sofware may have not installed correctly")

How can i get rid of this?

Thanks a lot

Martial
Attached Images
File Type: jpg error.jpg (54.2 KB, 177 views)
mksoft_ is offline   Reply With Quote
Old 24th January 2008, 16:21   #2
Anders
Moderator
 
Anders's Avatar
 
Join Date: Jun 2002
Location: ${NSISDIR}
Posts: 5,175
use RequestExecutionLevel to disable vista's ickyness, or using SetErrorLevel 0 in .onInstSuccess might work aswell

IntOp $PostCount $PostCount + 1
Anders is offline   Reply With Quote
Old 25th January 2008, 02:08   #3
lovespy108
Member
 
Join Date: Sep 2007
Posts: 63
I know your problem.I met that before!!
you must install NSIS 2.34.
Then put this code at the top of your script.
------------------------------------
RequestExecutionLevel admin
-----------------------------------
you can know 'RequestExecutionLevel' in the help documentation of NSIS 2.34.
lovespy108 is offline   Reply With Quote
Old 2nd February 2008, 13:36   #4
mksoft_
Junior Member
 
Join Date: Jan 2008
Posts: 7
Thumbs up

thanks a lot !

It did fix the problem
mksoft_ is offline   Reply With Quote
Reply
Go Back   Winamp & Shoutcast Forums > Developer Center > NSIS Discussion

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump